Debian Bug report logs - #698972
ITP: php5-xhprof -- xhprof module for PHP5

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Antoine Beaupré <anarcat@debian.org>

Date: Fri, 25 Jan 2013 21:57:01 UTC

Owned by: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>

Severity: wishlist

Fixed in version xhprof/0.9.2+git20130123-1

Done: Laszlo Boszormenyi (GCS) <gcs@debian.hu>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, mail@brianmercer.com, wnpp@debian.org:
Bug#698972; Package wnpp. (Fri, 25 Jan 2013 21:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
New Bug report received and forwarded. Copy sent to mail@brianmercer.com, wnpp@debian.org. (Fri, 25 Jan 2013 21:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: php5-xhprof -- xhprof module for PHP 5
Date: Fri, 25 Jan 2013 16:55:03 -0500
Package: wnpp
Severity: wishlist

* Package name    : php5-xhprof
  Version         : 0.9.2
  Upstream Author : Kannan Muthukkaruppan, Changhao Jiang, Venkat Venkataramani, Haiping Zhao
* URL             : http://mirror.facebook.net/facebook/xhprof/doc.html
* License         : Apache 2.0
  Programming Lang: C
  Description     : A Hierarchical Profiler for PHP

 XHProf is a function-level hierarchical profiler for PHP and
 has a simple HTML based navigational interface. The raw data
 collection component is implemented in C (as a PHP extension). The
 reporting/UI layer is all in PHP. It is capable of reporting
 function-level inclusive and exclusive wall times, memory usage,
 CPU times and number of calls for each function. Additionally, it
 supports ability to compare two runs (hierarchical DIFF reports),
 or aggregate results from multiple runs.

Brian Mercer has a PPA for this here:

https://launchpad.net/~brianmercer/+archive/php5-xhprof

Maybe I could just sponsor this package then... Brian? Do you feel like
maintaining this package in Debian? I could be your sponsor...



Changed Bug title to 'ITP: php5-xhprof -- xhprof module for PHP5' from 'RFP: php5-xhprof -- xhprof module for PHP 5' Request was from "Laszlo Boszormenyi (GCS)" <gcs@debian.hu> to control@bugs.debian.org. (Sat, 26 Jan 2013 22:45:04 GMT) Full text and rfc822 format available.

Owner recorded as "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>. Request was from "Laszlo Boszormenyi (GCS)" <gcs@debian.hu> to control@bugs.debian.org. (Sat, 26 Jan 2013 22:45:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>:
Bug#698972; Package wnpp. (Fri, 01 Feb 2013 21:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>. (Fri, 01 Feb 2013 21:21:07 GMT) Full text and rfc822 format available.

Message #14 received at 698972@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: "Laszlo Boszormenyi \(GCS\)" <gcs@debian.hu>, 698972@bugs.debian.org
Cc: Brian Mercer <mail@brianmercer.com>
Subject: Re: about php5-xhprof packaging
Date: Fri, 01 Feb 2013 16:19:09 -0500
[Message part 1 (text/plain, inline)]
On 2013-01-26, Laszlo Boszormenyi (GCS) wrote:
> retitle 698972 ITP: php5-xhprof -- xhprof module for PHP5
> owner 698972 !
> thanks
>
> Hi Antoine, Brian,
>
> It seems Antoine forgot to Cc you Brian, if you want to include
> php5-xhprof in Debian yourself. I've checked your packaging and it
> FTBFS, outdated and has some rough edges.
> I've created a new, up-to-date package, which builds fine in my
> pbuilder. Builds with hardening enabled, but not all protections
> achieved. It needs testing, but otherwise ready to be uploaded.
>
> Are you interested to review it Antonie?

Any progress here? Can you upload the package yourself or do you need a
sponsor?

If the latter, where can I review the package?

Thanks,

A.

PS: I noticed you Cc'd control@bugs.debian.org - I think it's usually
preferable to Bcc it, otherwise replies of other people may end up
sending garbage to it... 

-- 
Les écrivains qui ont recours à leurs doigts pour savoir s'ils ont leur
compte de pieds ne sont pas des poètes, ce sont des dactylographes.
                        - Léo Ferré, "Préface"
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#698972; Package wnpp. (Sat, 02 Feb 2013 15:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 02 Feb 2013 15:06:03 GMT) Full text and rfc822 format available.

Message #19 received at 698972@bugs.debian.org (full text, mbox):

From: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
To: Antoine Beaupré <anarcat@debian.org>
Cc: 698972@bugs.debian.org, Brian Mercer <mail@brianmercer.com>
Subject: Re: about php5-xhprof packaging
Date: Sat, 02 Feb 2013 15:03:27 +0000
Hi Antoine,

On Fri, 2013-02-01 at 16:19 -0500, Antoine Beaupré wrote:
> On 2013-01-26, Laszlo Boszormenyi (GCS) wrote:
> > Are you interested to review it Antonie?
> 
> Any progress here? Can you upload the package yourself or do you need a
> sponsor?
> 
> If the latter, where can I review the package?
 Please check it[1]. I'm open for any suggestions or packaging problems
you may find.

> PS: I noticed you Cc'd control@bugs.debian.org - I think it's usually
> preferable to Bcc it, otherwise replies of other people may end up
> sending garbage to it... 
 I agree that Bcc is better. I've seen false mails sent to control@ on
replies. On the other hand a simple Cc can be more visual that you sent
the commands there.

Regards,
Laszlo/GCS
[1] dget -x http://barcikacomp.hu/gcs/xhprof_0.9.2+git20130123-1.dsc




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>:
Bug#698972; Package wnpp. (Thu, 21 Feb 2013 21:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>. (Thu, 21 Feb 2013 21:27:03 GMT) Full text and rfc822 format available.

Message #24 received at 698972@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: "Laszlo Boszormenyi \(GCS\)" <gcs@debian.hu>
Cc: 698972@bugs.debian.org, Brian Mercer <mail@brianmercer.com>
Subject: Re: about php5-xhprof packaging
Date: Thu, 21 Feb 2013 16:22:40 -0500
[Message part 1 (text/plain, inline)]
On 2013-02-02, Laszlo Boszormenyi (GCS) wrote:
> Hi Antoine,
>
> On Fri, 2013-02-01 at 16:19 -0500, Antoine Beaupré wrote:
>> On 2013-01-26, Laszlo Boszormenyi (GCS) wrote:
>> > Are you interested to review it Antonie?
>> 
>> Any progress here? Can you upload the package yourself or do you need a
>> sponsor?
>> 
>> If the latter, where can I review the package?
>  Please check it[1]. I'm open for any suggestions or packaging problems
> you may find.
>
>> PS: I noticed you Cc'd control@bugs.debian.org - I think it's usually
>> preferable to Bcc it, otherwise replies of other people may end up
>> sending garbage to it... 
>  I agree that Bcc is better. I've seen false mails sent to control@ on
> replies. On the other hand a simple Cc can be more visual that you sent
> the commands there.
>
> Regards,
> Laszlo/GCS
> [1] dget -x http://barcikacomp.hu/gcs/xhprof_0.9.2+git20130123-1.dsc

Here's a late review, sorry for the delay!

First thing, please sign your package with your PGP key. But I guess you
know that - I thought you weren't a DD! :)

Then, why is there a git20130123 timestamp in there? Shouldn't we aim to
package a stable release at first, then maybe a git snapshot in
experimental?

The description in xhprof should probably have only the paragraph, so I
would turn this:

Description: xhprof module for PHP 5
 XHProf: A Hierarchical Profiler for PHP
 .
 [...]

into this:

Description: XHProf: A Hierarchical Profiler for PHP
 [...]

jquery should probably be removed from the package, which should have a
+dfsg flag

Otherwise, this looks pretty good!

I take it you don't need a sponsor... :)

Cheers,

A.

-- 
Pour marcher au pas d'une musique militaire, il n'y a pas besoin de
cerveau, une moelle épinière suffit.
                        - Albert Enstein
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#698972; Package wnpp. (Thu, 21 Feb 2013 23:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 21 Feb 2013 23:03:07 GMT) Full text and rfc822 format available.

Message #29 received at 698972@bugs.debian.org (full text, mbox):

From: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
To: Antoine Beaupré <anarcat@debian.org>
Cc: 698972@bugs.debian.org, Brian Mercer <mail@brianmercer.com>
Subject: Re: about php5-xhprof packaging
Date: Thu, 21 Feb 2013 22:59:13 +0000
On Thu, 2013-02-21 at 16:22 -0500, Antoine Beaupré wrote:
> On 2013-02-02, Laszlo Boszormenyi (GCS) wrote:
> >  Please check it[1]. I'm open for any suggestions or packaging problems
> > you may find.
> Here's a late review, sorry for the delay!
 No problem, there's no rush. It won't be part of Wheezy and Wheezy+1 is
far to go.

> First thing, please sign your package with your PGP key. But I guess you
> know that - I thought you weren't a DD! :)
 I didn't want to reveal that! :)

> Then, why is there a git20130123 timestamp in there? Shouldn't we aim to
> package a stable release at first, then maybe a git snapshot in
> experimental?
 As far as I can remember, the stable release doesn't build. The fixes
are mandatory from the git tree. Patches are not an option as there are
too many changes to consider.

> The description in xhprof should probably have only the paragraph, so I
> would turn this:
 +1 on this.

> jquery should probably be removed from the package, which should have a
> +dfsg flag
 I can't show you proof, but as I know, embedded (F)OSS libraries can
remain in the source until the following apply. The library is readable
(ie, it's not compressed/obfuscated) and it's not installed as-is. If
you check, jQuery*.js are readable and I don't include them in the
binary.

> I take it you don't need a sponsor... :)
 Well, at least not now. :) I may leave Debian someday, but that won't
be soon I hope.

Laszlo/GCS




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>:
Bug#698972; Package wnpp. (Fri, 22 Feb 2013 03:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>. (Fri, 22 Feb 2013 03:27:03 GMT) Full text and rfc822 format available.

Message #34 received at 698972@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: "Laszlo Boszormenyi \(GCS\)" <gcs@debian.hu>
Cc: 698972@bugs.debian.org, Brian Mercer <mail@brianmercer.com>
Subject: Re: about php5-xhprof packaging
Date: Thu, 21 Feb 2013 22:25:07 -0500
[Message part 1 (text/plain, inline)]
On 2013-02-21, Laszlo Boszormenyi (GCS) wrote:
>> jquery should probably be removed from the package, which should have a
>> +dfsg flag
>  I can't show you proof, but as I know, embedded (F)OSS libraries can
> remain in the source until the following apply. The library is readable
> (ie, it's not compressed/obfuscated) and it's not installed as-is. If
> you check, jQuery*.js are readable and I don't include them in the
> binary.

Alright, I didn't know that - I went through various hoops to deal with
this in the past - I guess the ftpmasters will tell if necessary. :)

>> I take it you don't need a sponsor... :)
>  Well, at least not now. :) I may leave Debian someday, but that won't
> be soon I hope.

Alright, well, i wish good uploads for a long time! :)

A.

-- 
Un éducateur dans l'âme ne prend rien au sérieux que par rapport
à ses disciples -- soi-même non excepté.
                        - Nietzsche, "Par delà le bien et le mal"
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 24 Feb 2013 19:06:07 GMT) Full text and rfc822 format available.

Reply sent to Laszlo Boszormenyi (GCS) <gcs@debian.hu>:
You have taken responsibility. (Fri, 12 Apr 2013 15:03:12 GMT) Full text and rfc822 format available.

Notification sent to Antoine Beaupré <anarcat@debian.org>:
Bug acknowledged by developer. (Fri, 12 Apr 2013 15:03:12 GMT) Full text and rfc822 format available.

Message #41 received at 698972-close@bugs.debian.org (full text, mbox):

From: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
To: 698972-close@bugs.debian.org
Subject: Bug#698972: fixed in xhprof 0.9.2+git20130123-1
Date: Fri, 12 Apr 2013 15:00:09 +0000
Source: xhprof
Source-Version: 0.9.2+git20130123-1

We believe that the bug you reported is fixed in the latest version of
xhprof, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 698972@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Laszlo Boszormenyi (GCS) <gcs@debian.hu> (supplier of updated xhprof package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 26 Jan 2013 20:50:37 +0100
Source: xhprof
Binary: php5-xhprof
Architecture: source amd64
Version: 0.9.2+git20130123-1
Distribution: unstable
Urgency: low
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Changed-By: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Description: 
 php5-xhprof - Hierarchical Profiler for PHP5
Closes: 698972
Changes: 
 xhprof (0.9.2+git20130123-1) unstable; urgency=low
 .
   * Initial release (closes: #698972).
Checksums-Sha1: 
 70ed1eb6bf3ca84c287e050aa55bd900a0b5252e 1181 xhprof_0.9.2+git20130123-1.dsc
 0abbe718217a2a8fbdd143127d77d17b3fc45f85 851322 xhprof_0.9.2+git20130123.orig.tar.gz
 ef3967ac4bf4fd0fb5650c7c113a545dd487ee84 3382 xhprof_0.9.2+git20130123-1.debian.tar.gz
 720ccf8aa380420a23c417ff56e53307a8d9d292 26480 php5-xhprof_0.9.2+git20130123-1_amd64.deb
Checksums-Sha256: 
 f6c10984b3d1c7851db632efed423643ed108754996174fbe53a49b6f17d660c 1181 xhprof_0.9.2+git20130123-1.dsc
 31f8d5e5969004fae8a6e2d20fba8debd7af285a9329339f915192e2642616c1 851322 xhprof_0.9.2+git20130123.orig.tar.gz
 37457537dcf05f941f821cc9d4643cf3b3dd73772400fc8ba22d7a591d70cb5b 3382 xhprof_0.9.2+git20130123-1.debian.tar.gz
 8cac788ad0240fe85893105717d0c9ebaf7358bdac78a63b8713da450239e4ae 26480 php5-xhprof_0.9.2+git20130123-1_amd64.deb
Files: 
 46388c1e59ff58fcab87ae1d65c37678 1181 devel optional xhprof_0.9.2+git20130123-1.dsc
 4c0ed7b7580ee455ac81c772142f5b0c 851322 devel optional xhprof_0.9.2+git20130123.orig.tar.gz
 51682e88700c8449d531aea18a81c388 3382 devel optional xhprof_0.9.2+git20130123-1.debian.tar.gz
 cd69a62af92b91825a60d28872c24157 26480 devel optional php5-xhprof_0.9.2+git20130123-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlEqQRkACgkQMDatjqUaT90ZdQCgplBHEyp+3DL2JyRYavovxMQ4
WcQAoIf/lYe150wzTOkFVCG4KRO1AZ65
=s9w4
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 May 2013 07:33:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:24:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.